SSH version 2.0 is not supported!

Recommend this page to a friend!

      SSH in PHP  >  All threads  >  SSH version 2.0 is not supported!  >  (Un) Subscribe thread alerts  
Subject:SSH version 2.0 is not supported!
Summary:SSH version 2.0 is not supported!
Messages:2
Author:edcesar
Date:2014-03-12 18:43:41
 

  1. SSH version 2.0 is not supported!   Reply   Report abuse  
edcesar - 2014-03-12 18:43:41
please could someone help me?
I'm trying to make it work days. Sorry my english.
Please :)

( ! ) Deprecated: Function ereg() is deprecated in D:\wamp\www\robo\ssh_in_php.php on line 1131
Call Stack
# Time Memory Function Location
1 0.0000 146392 {main}( ) ..\ssh_in_php_ex.php:0
2 0.0050 373224 SSH_in_PHP->connect( ) ..\ssh_in_php_ex.php:12
3 0.0150 374552 SSH_in_PHP->connect_get_peer_info( ) ..\ssh_in_php.php:834
An Exception Occured: SSH version 2.0 is not supported! (0) Trace: Array ( [0] => Array ( [file] => D:\wamp\www\robo\ssh_in_php.php [line] => 834 [function] => connect_get_peer_info [class] => SSH_in_PHP [type] => -> [args] => Array ( ) ) [1] => Array ( [file] => D:\wamp\www\robo\ssh_in_php_ex.php [line] => 12 [function] => connect [class] => SSH_in_PHP [type] => -> [args] => Array ( [0] => edcesar [1] => Edcesar$$ ) ) ) 1

  2. Re: SSH version 2.0 is not supported!   Reply   Report abuse  
Ettore Moretti - 2014-10-08 10:42:00 - In reply to message 1 from edcesar
Hi,
i have the same problem with this class.
For the deprecated function error, you can replace ereg() with preg_match().

But the exception "SSH version 2.0 is not supported!" is not resolved.
If you find the solution, let me now.

Bye

 

For more information send a message to info at phpclasses dot org.